<?php
include('auth.inc'); 
include('common.inc'); 
include('browserFunc.inc'); 
include('bookmarkFunc.inc'); 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<?php include ('initAssist.inc'); ?>
</head>
<body style="background-color: #ffcc33; display: none;">
<?php
$x_2v = $_REQUEST['mode']; 
switch ($x_2v) { 
case 'rename': 
$x_8u = $_REQUEST['file']; 
$x_8v = $_REQUEST['dir']; 
if (!is_array($x_8u)) 
settype($x_8u, 'array'); 
if (!is_array($x_8v)) 
settype($x_8v, 'array'); 
$x_3x = array_merge($x_8u, $x_8v); 
$x_w = $x_3x[0]; 
$x_1q = x_10(urldecode($x_w)); 
?>
<div id="fileName"><?php echo urldecode($x_1q); ?></div>
<div id="file"><?php echo urldecode($x_w); ?></div>
<script>
window.top.document.getElementById('tmp').value = document.getElementById('fileName').innerHTML;
window.top.document.getElementById('textBox').value = document.getElementById('fileName').innerHTML;
window.top.document.getElementById('file').value = document.getElementById('file').innerHTML;
window.top.x_2u('waitPhase', 'startPhase');
window.top.document.getElementById('textBox').focus();
</script>
<?php
break; 
case 'copy': 
$x_63 = $_POST['dir']; 
$x_3x = $_POST['file']; 
if (!is_array($x_63)) 
settype($x_63, 'array'); 
if (!is_array($x_3x)) 
settype($x_3x, 'array'); 
$x_12['dirs'] = $x_63; 
$x_12['files'] = $x_3x; 
$x_8w = count($x_12['dirs']) + count($x_12['files']); 
?>
<div id="fileCount"><?php echo $x_8w; ?></div>
<div id="entryList"><?php echo x_78 ($x_12); ?></div>
<div id="entries"><?php echo htmlspecialchars(serialize($x_12)); ?></div>
<script>
if (window.top.document) {
x_8x = window.top;
x_8x.document.getElementById('fileCount').innerHTML = document.getElementById('fileCount').innerHTML;
if (x_8x.document.getElementById('selectedCount'))
x_8x.document.getElementById('selectedCount').innerHTML = document.getElementById('fileCount').innerHTML;
x_8x.document.getElementById('entryList').innerHTML = document.getElementById('entryList').innerHTML;
if (x_8x.document.getElementById('doneDirList'))
x_8x.document.getElementById('doneDirList').innerHTML = document.getElementById('entryList').innerHTML;
x_8x.document.getElementById('entries').value = document.getElementById('entries').innerHTML;
x_8x.x_2u('waitPhase', 'startPhase');
}
</script>
<?php
break; 
case 'bookmarkDelete': 
$x_27 = $_POST['bookmarks']; 
$x_8y = x_79 ($x_27); 
$x_8w = count($x_27); 
?>
<div id="fileCount"><?php echo $x_8w; ?></div>
<div id="entryList"><?php echo $x_8y[0] ?></div>
<input id="bookmarks" name="bookmarks" type="hidden" value="<?php echo htmlspecialchars(serialize($x_8y[1])); ?>">
<script>
window.top.document.getElementById('fileCount').innerHTML = document.getElementById('fileCount').innerHTML;
window.top.document.getElementById('entryList').innerHTML = document.getElementById('entryList').innerHTML;
window.top.document.getElementById('bookmarks').value = document.getElementById('bookmarks').value;
window.top.document.getElementById('bookmarksList').innerHTML = document.getElementById('entryList').innerHTML;
window.top.x_2u('waitPhase', 'startPhase');
</script>
<?php
break; 
case 'bookmarkEdit': 
$x_1r = $_POST['bookmarks'][0]; 
$x_n = $x_d->getUserBookmarks(&$x_27); 
$x_21 = x_5b($x_27, $x_1r); 
?>
<input id="textBox" name="textBox" type="text" value="<?php echo $x_21['path']; ?>" style="width: 100%">
<input id="text" name="text" type="text" value="<?php echo str_replace('&amp;', '&', $x_21['description']); ?>" style="width: 100%">
<input id="bookmark" name="bookmark" type="text" value="<?php echo htmlspecialchars(serialize($x_21)); ?>" style="width: 100%">
<script>
window.top.document.getElementById('bookmark').value = document.getElementById('bookmark').value;
window.top.document.getElementById('textBox').value = document.getElementById('textBox').value;
window.top.document.getElementById('text').value = document.getElementById('text').value;
window.top.x_2u('waitPhase', 'startPhase');
</script>
<?php
break; 
} 
?>
</body>
</html>
